# Method: projects.locations.urlLists.delete

- [HTTP request](https://docs.cloud.google.com/secure-web-proxy/docs/reference/network-security/rest/v1beta1/projects.locations.urlLists/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/secure-web-proxy/docs/reference/network-security/rest/v1beta1/projects.locations.urlLists/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/secure-web-proxy/docs/reference/network-security/rest/v1beta1/projects.locations.urlLists/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/secure-web-proxy/docs/reference/network-security/rest/v1beta1/projects.locations.urlLists/delete#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/secure-web-proxy/docs/reference/network-security/rest/v1beta1/projects.locations.urlLists/delete#body.aspect)
- [Try it!](https://docs.cloud.google.com/secure-web-proxy/docs/reference/network-security/rest/v1beta1/projects.locations.urlLists/delete#try-it)

Deletes a single UrlList.

### HTTP request

`DELETE https://networksecurity.googleapis.com/v1beta1/{name=projects/*/locations/*/urlLists/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. A name of the UrlList to delete. Must be in the format `projects/*/locations/{location}/urlLists/*`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `networksecurity.urlLists.delete` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/secure-web-proxy/docs/reference/network-security/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).